> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get snapshot input

> Get the inputs that were used to trigger the collection



## OpenAPI

````yaml get /datasets/v3/snapshot/{snapshot_id}/input
openapi: 3.1.0
info:
  title: Brightdata API
  description: API for interaction with datasets marketplace
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /datasets/v3/snapshot/{snapshot_id}/input:
    get:
      description: Get the inputs that were used to trigger the collection
      parameters:
        - name: snapshot_id
          in: path
          required: true
          schema:
            type: string
            example: s_m4x7enmven8djfqak
            description: The ID that was returned when the collection was triggered
      responses:
        '200':
          description: Inputs in CSV format
          content:
            text/csv:
              schema:
                type: string
                example: |-
                  input1,input2
                  value1,value2
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````